/**
 * JASMINe
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: GetJasmineEventDelegate.as 4798 2009-08-07 12:30:47Z alitokmen $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.monitoring.eos.quickvisu.cairngorm.business
{
import com.adobe.cairngorm.business.ServiceLocator;

import mx.controls.Alert;

import org.ow2.jasmine.kerneos.common.business.AbsDelegateResponder;

/**
 * @author Guillaume Renault
 */
public class GetJasmineEventDelegate extends AbsDelegateResponder implements IGetJasmineEventDelegate
{

    /**
    * Gets waiting events in the topic.
    */
    public function getEvents():void {

        // find service
        var service : Object = ServiceLocator.getInstance().getRemoteObject("quickvisuService");

        // call service
        var call : Object = service.getMessage();

        // add responder
        call.addResponder(this.responder);

    }

}
}
